View Issue Details

IDProjectCategoryView StatusLast Update
0013298CentOS-6rpcbindpublic2017-06-13 20:48
Reporterdmaziuk 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.9 
Target VersionFixed in Version 
Summary0013298: rpcbind fails to restart after yum update
DescriptionFrom /var/log/messages on one of the affected hosts:

> May 24 07:54:48 chianina yum[816412]: Updated: libtirpc-0.2.1-13.el6_9.x86_64
> May 24 07:54:49 chianina yum[816412]: Updated: rpcbind-0.2.0-13.el6_9.x86_64
> May 24 07:54:49 chianina rpcbind: rpcbind terminating on signal. Restart with "rpcbind -w"

and at this point rpcbind is not running and

> # rpcinfo
> rpcinfo: can't contact rpcbind: RPC: Remote system error - Connection refused

The worst part is you won't find out until a client automounter times out an nfs share and tries to remount. Which in our case was about 5 hours later.
TagsNo tags attached.

Relationships

related to 0013351 resolved CentOS-7 rpcbind crashes with "invalid pointer" 

Activities

dmaziuk

dmaziuk

2017-05-24 21:41

reporter   ~0029332

4 hours later and rpcbind is dead for no reason on at least one of the previously restarted servers.
erwdav

erwdav

2017-05-29 12:49

reporter   ~0029347

When running rpcbind in debug mode, I see a
*** glibc detected *** rpcbind: free(): invalid pointer: 0x00007ffd89228d90 ***

After some seconds.So this could be a free of unitialized pointer or worse a memory corruption.
dmaziuk

dmaziuk

2017-05-29 20:43

reporter   ~0029349

I googled after it crashed everywhere and I had to downgrade it on every centos 6 computer here: https://bugzilla.redhat.com/show_bug.cgi?id=1448124

Looks like RedHat fixed a security problem that never bit anyone in all the years RPC's been around. Well it's very secure now.

I'd pull the rpms from the archive before everyone upgrades and starts screaming.
shawn174

shawn174

2017-06-04 23:15

reporter   ~0029401

Found this issue too after a yum upgrade. I had to yum downgrade rpcbind to get my NIS service and NFS mounts working again.
toracat

toracat

2017-06-13 20:48

manager   ~0029464

The latest update to rpcbind fixed the issue.

Issue History

Date Modified Username Field Change
2017-05-24 19:22 dmaziuk New Issue
2017-05-24 21:41 dmaziuk Note Added: 0029332
2017-05-29 12:49 erwdav Note Added: 0029347
2017-05-29 20:43 dmaziuk Note Added: 0029349
2017-06-04 23:15 shawn174 Note Added: 0029401
2017-06-06 04:27 toracat Relationship added related to 0013351
2017-06-13 20:48 toracat Status new => resolved
2017-06-13 20:48 toracat Resolution open => fixed
2017-06-13 20:48 toracat Note Added: 0029464